## class: `WyContainer`, `wy-container`

Container for content.

Can have positioning, scrolling and padding.

### Fields

| Name         | Type                   | Default | Description                                   | Inherited From |
| ------------ | ---------------------- | ------- | --------------------------------------------- | -------------- |
| `scrollX`    | `boolean`              | `false` | Whether to scroll horizontally                |                |
| `scrollY`    | `boolean`              | `false` | Whether to scroll vertically                  |                |
| `padded`     | `boolean`              | `false` | Add padding in the area                       |                |
| `outer`      | `boolean`              | `false` | Add outer padding in the area                 |                |
| `scrollbars` | `boolean`              | `false` | Always show scrollbars when scroll is enabled |                |
| `gap`        | `"md" \| "lg" \| "xl"` | `"md"`  | The gap between items in the container        |                |
| `fill`       | `boolean`              | `false` | Whether the container should fill it's parent |                |

### Attributes

| Name         | Field      | Inherited From |
| ------------ | ---------- | -------------- |
| `scrollX`    | scrollX    |                |
| `scrollY`    | scrollY    |                |
| `padded`     | padded     |                |
| `outer`      | outer      |                |
| `scrollbars` | scrollbars |                |
| `gap`        | gap        |                |
| `fill`       | fill       |                |

### CSS Parts

| Name                  | Description                                          |
| --------------------- | ---------------------------------------------------- |
| `wy-container`        | Content wrapper with flex and positioning.           |
| `wy-container-padded` | Padded content.                                      |
| `wy-container-outer`  | Using outer styling.                                 |
| `wy-scroll-x`         | Horizontally scrollable content.                     |
| `wy-scroll-y`         | Vertically scrollable content.                       |
| `wy-scroll-x-y`       | Both horizontally and vertically scrollable content. |
| `wy-scroll-x-always`  | Modifier for always showing horizontal scrollbar.    |
| `wy-scroll-y-always`  | Modifier for always showing vertical scrollbar.      |

### Slots

| Name | Description |
| ---- | ----------- |
|      | Content.    |

<details><summary>Private API</summary>

### Fields

| Name          | Privacy   | Type | Default                           | Description | Inherited From |
| ------------- | --------- | ---- | --------------------------------- | ----------- | -------------- |
| `exportParts` | protected |      | `new ShadowPartsController(this)` |             |                |

</details>

<hr/>

## Exports

| Kind                        | Name           | Declaration | Module                            | Package |
| --------------------------- | -------------- | ----------- | --------------------------------- | ------- |
| `js`                        | `WyContainer`  | WyContainer | lib/components/ui/wy-container.ts |         |
| `custom-element-definition` | `wy-container` | WyContainer | lib/components/ui/wy-container.ts |         |
